#include <iostream>
#include <string>
#include <boost/lexical_cast.hpp>

int main(int argc, char** argv)
{
    if(argc != 1)
    {
        std::cerr << "USAGE : provide the FASTA file to be renamed in standard input, renamed file will be produce in standard output\n";
        return -1;
    }

    std::string line;
    int seq_number = 1;
    while(getline(std::cin, line))
        if(line[0] == '>')
            std::cout << ">SEQ_" << boost::lexical_cast<std::string>(seq_number++) << '\n';
        else
            std::cout << line << '\n';

    return 0;
}
