// sequencedatabasebuilder.cpp
//
// Copyright (c) 2004-2006, Kim Roland Rasmussen <krr@elreki.net>
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation files
// (the "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the 
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
// TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//   

#include "sequencedatabasebuilder.hpp"

namespace swift {

// SequenceDatabaseBuilder class definition ---------------------------------

/*!
    Constructs an empty SequenceDatabaseBuilder object. Before adding
    sequences, you must call setName().

    \sa setName()
*/
SequenceDatabaseBuilder::SequenceDatabaseBuilder()
{
}


/*!
    Destructs the SequenceDatabaseBuilder object.
*/
SequenceDatabaseBuilder::~SequenceDatabaseBuilder()
{
}


/*!
    Returns the name of the database being built, or an empty string.

    \sa setName()
*/
std::string const & SequenceDatabaseBuilder::name() const
{
    static std::string empty;
    return empty;
}


/*!
    Sets the name of a new database to \a name. If a name has already been
    set, the previous database is closed.

    \sa name()
*/
void SequenceDatabaseBuilder::setName(std::string const & name)
{
}


/*!
    Adds the sequence \a sequence to the database, with text \a text
    and id \a id.
*/
void SequenceDatabaseBuilder::addSequence(
    Sequence const & sequence,
    std::string const & text,
    std::string const & id
)
{
}

// --------------------------------------------------------------------------

} // namespace swift
