// version.cpp
//
// Copyright (c) 2004-2006, Kim Roland Rasmussen <krr@elreki.net>
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation files
// (the "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
// TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//
// Additions / changes by Peter Husemann
//

#include "version.hpp"

namespace swift {

// --------------------------------------------------------------------------

/*!
    Returns the Subversion revision for the SWIFT source repository.
*/
char const * Version::svnRevision()
{
    return "$SvnRevision$";
}


/*!
    Returns the copyright string.
*/
char const * Version::copyright()
{
  return "Copyright (c) 2004-2006, Kim Roland Rasmussen <krr(at)elreki.net>\n"
      "additions / modifications by Peter Husemann <phuseman(at)cebitec.uni-bielefeld.de>\n\n"
      "  If you publish results where swift was involved,\n"
      "  please cite the following reference:\n"
      "    K. Rasmussen, J. Stoye, and E. W. Myers.\n"
      "    Efficient q-Gram Filters for Finding All epsilon-Matches over a Given Length\n"
      "    J. Comp. Biol., 13(2):296-308, 2006.\n";
}

/*!
    Returns the publication belonging to swift.
 */
char const * Version::publication()
{
  return      "#    K. Rasmussen, J. Stoye, and E. W. Myers.\n"
      "#    Efficient q-Gram Filters for Finding All epsilon-Matches over a Given Length\n"
      "#    J. Comp. Biol., 13(2):296-308, 2006.\n";
}


/*!
    Returns the license string.
*/
char const * Version::license()
{
    return
    "Permission is hereby granted, free of charge, to any person\n"
    "obtaining a copy of this software and associated documentation files\n"
    "(the \"Software\"), to deal in the Software without restriction, including\n"
    "without limitation the rights to use, copy, modify, merge, publish,\n"
    "distribute, sublicense, and/or sell copies of the Software, and to permit\n"
    "persons to whom the Software is furnished to do so, subject to the \n"
    "following conditions:\n"
    "\n"
    "The above copyright notice and this permission notice shall be included\n"
    "in all copies or substantial portions of the Software.\n"
    "\n"
    "THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\n"
    "OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\n"
    "MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\n"
    "IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\n"
    "CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n"
    "TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE \n"
    "SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n";
}

// --------------------------------------------------------------------------

} // namespace swift

