/*
 * reads a given input fasta file, concatenates its sequences and writes the result to a given file, as well the boundaries in a different file
 *
 */

#define N_LENGTH 95 

#include <iostream>
#include <fstream>
#include <stdlib.h>

using namespace std;

int main(int argc, char **argv) {

  if ( argc != 4 ) {
    cout << "Usage: concatenate_fasta inputfile outputfile boundaries" << endl;
    return EXIT_FAILURE;
  }

  ifstream ifile;
  ofstream ofile;
  ofstream bfile;
  ifile.open(argv[1]);
  ofile.open(argv[2]);
  bfile.open(argv[3]);
  string line;
  getline (ifile,line);
  unsigned long long  b = 0;
  ofile << ">scaffolds" << '\n';
  while (ifile.good()) {
    getline (ifile,line);
    if (line.substr(0,1) != ">") {
      ofile << line << '\n';
      b += line.length();
    } else {
      ofile << string(N_LENGTH, 'N') << '\n';
      b += N_LENGTH;
      bfile << b << '\n';
    }
  }
  bfile << b << endl;
  ifile.close();
  ofile.close();
  bfile.close();
  return EXIT_SUCCESS;
}
